--
-- Initialization data for the Sync4j Exchange Connector module
--
-- @version $Id: init_schema.sql,v 1.10 2006/02/13 14:23:52 fabius Exp $
--

--
-- Source registration
--
delete from sync4j_sync_source_type where id='exc-ca';
insert into sync4j_sync_source_type(id, description, class, admin_class) values('exc-ca','Exchange Calendar SyncSource','sync4j.exchange.engine.source.ExchangeCalendarSyncSource','sync4j.exchange.admin.ExchangeSyncSourceConfigPanel');

delete from sync4j_sync_source_type where id='exc-co';
insert into sync4j_sync_source_type(id, description, class, admin_class) values('exc-co','Exchange Contact SyncSource','sync4j.exchange.engine.source.ExchangeContactSyncSource','sync4j.exchange.admin.ExchangeSyncSourceConfigPanel');

delete from sync4j_sync_source_type where id='exc-no';
insert into sync4j_sync_source_type(id, description, class, admin_class) values('exc-no','Exchange Note SyncSource','sync4j.exchange.engine.source.ExchangeNoteSyncSource','sync4j.exchange.admin.ExchangeSyncSourceConfigPanel');

delete from sync4j_sync_source_type where id='exc-ta';
insert into sync4j_sync_source_type(id, description, class, admin_class) values('exc-ta','Exchange Task SyncSource','sync4j.exchange.engine.source.ExchangeTaskSyncSource','sync4j.exchange.admin.ExchangeSyncSourceConfigPanel');


delete from sync4j_module where id='exc';
insert into sync4j_module (id, name, description) values('exc','exchange','Sync4j Exchange Connector');

delete from sync4j_connector where id='exc';
insert into sync4j_connector(id, name, description, admin_class) values('exc','Sync4jExchangeConnector','Sync4j Exchange Connector','');

delete from sync4j_connector_source_type where connector='exc' and (sourcetype='exc-ca' or sourcetype='exc-co' or sourcetype='exc-no' or sourcetype='exc-ta' );
insert into sync4j_connector_source_type(connector, sourcetype) values('exc','exc-ca');
insert into sync4j_connector_source_type(connector, sourcetype) values('exc','exc-co');
insert into sync4j_connector_source_type(connector, sourcetype) values('exc','exc-no');
insert into sync4j_connector_source_type(connector, sourcetype) values('exc','exc-ta');

delete from sync4j_module_connector where module='exc' and connector='exc';
insert into sync4j_module_connector(module, connector) values('exc','exc');