--
-- Initialization data for the Sync4j Exchange Connector module
--
-- @version $Id: create_schema.sql,v 1.4 2005/12/22 11:14:53 fabius Exp $
--

--
-- Source create schema
--
create table ss_exch_item_status (
    id varchar(200),
    href varchar(200),
    uri varchar(128),
    principal int,
    last_modified timestamp,
    twin_crc bigint
);

--
-- index
--
create index uri_principal on ss_exch_item_status(uri, principal);
create index uri_principal_id on ss_exch_item_status(uri, principal, id);
create index uri_principal_twin on ss_exch_item_status(uri, principal, twin_crc);

