--
-- Initialization data for the Sync4j Exchange Connector module
--
-- @version $Id: create_schema.sql,v 1.5 2005/12/22 11:19:02 fabius Exp $
--

--
-- remove fk_user on sync4j_principal
--
alter table sync4j_principal drop constraint fk_user;

--
-- Source create schema
--
create table ss_exch_item_status (
    id varchar(200),
    href varchar(200),
    uri varchar(128),
    principal int,
    last_modified timestamp,
    twin_crc number(30,0)
);

--
-- index
--
create index uri_principal on ss_exch_item_status(uri, principal);
create index uri_principal_id on ss_exch_item_status(uri, principal, id);
create index uri_principal_twin on ss_exch_item_status(uri, principal, twin_crc);